Subject: [mpls] Poll on renaming of EXP field

From: George Swallow <[email-masked]>
Date: Mon, 18 Aug 2008 16:23:40 -0400

During the last call on "EXP field" renamed to  "CoS Field"
draft-ietf-mpls-cosfield-def-04.txt, there were comments on
alternatives to the name COS.

This message initiates a two week poll on whether the name COS
is good enough, or if some other name is needed.  The poll closes
23:59 Sept 1 GMT. 

Please answer with a simple yes or no.  You may send any additional comment
in a separate message (with a different subject line).

...George

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Santiago Alvarez (saalvare)" <[email-masked]>
Date: Mon, 18 Aug 2008 13:46:30 -0700

Yes

SA
-- 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of George Swallow (swallow)
> Sent: Monday, August 18, 2008 1:24 PM
> To: [email-masked]
> Subject: [mpls] Poll on renaming of EXP field
>

---

From: Mikael Abrahamsson <[email-masked]>
Date: Mon, 18 Aug 2008 22:55:12 +0200 (CEST)

> alternatives to the name COS.

I hope you meant discussion to be public, so here goes.

Personally I like the term "TOS" (from the IP field) better than CoS, 
because it's hard to differentiate the terms QoS and CoS in spoken english 
(not that I am a native speaker, but anyway). "Diffserv" is also a better 
alternative than CoS, if TOS seems out of the question for some reason.

-- 
Mikael Abrahamsson    email: [email-masked]
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: Huub van Helvoort <[email-masked]>
Date: Mon, 18 Aug 2008 23:21:45 +0200

Yes.

Cheers, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Mon, 18 Aug 2008 17:28:46 -0400

Yes. 

> Behalf Of Huub van Helvoort
> Sent: Monday, August 18, 2008 5:22 PM
> To: George Swallow (swallow)
> Cc: [email-masked]
> Subject: Re: [mpls] Poll on renaming of EXP field
> 
> Yes.
> 
> Cheers, Huub.
> 
> George Swallow wrote:

---

From: George Swallow <[email-masked]>
Date: Mon, 18 Aug 2008 17:55:23 -0400

Public of course!

---

From: Shane Amante <[email-masked]>
Date: Mon, 18 Aug 2008 19:21:24 -0600

Yes.

-shane

---

From: Cao Wei <[email-masked]>
Date: Tue, 19 Aug 2008 09:32:41 +0800

Yes,

Wei Cao

>in a separate message (with a different subject line).

Best regards,			
Cao Wei

---

From: "HENDERICKX Wim" <[email-masked]>
Date: Tue, 19 Aug 2008 06:32:38 +0200

yes 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow
Sent: maandag 18 augustus 2008 22:24
To: [email-masked]
Subject: [mpls] Poll on renaming of EXP field

During the last call on "EXP field" renamed to  "CoS Field"
draft-ietf-mpls-cosfield-def-04.txt, there were comments on alternatives
to the name COS.

This message initiates a two week poll on whether the name COS is good
enough, or if some other name is needed.  The poll closes
23:59 Sept 1 GMT. 

Please answer with a simple yes or no.  You may send any additional
comment in a separate message (with a different subject line).

...George

---

From: "Harshith Shetty" <[email-masked]>
Date: Tue, 19 Aug 2008 14:41:38 +0530

Yes

---

From: <[email-masked]>
Date: Tue, 19 Aug 2008 06:45:41 -0400

Yes.

 ________________________________________
Jordan Britnell
 IP Technology Research
 BCE/Bell Canada
 (416) 215-3729
[email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Cao Wei
Sent: August 18, 2008 9:33 PM
To: George Swallow; [email-masked]
Subject: Re: [mpls] Poll on renaming of EXP field

Yes,

Wei Cao

Best regards,
Cao Wei

---

From: Jiang Yuan-long <[email-masked]>
Date: Tue, 19 Aug 2008 19:25:03 +0800

yes.

----- Original Message ----- 
From: "George Swallow" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, August 19, 2008 4:23 AM
Subject: [mpls] Poll on renaming of EXP field

> comment

---

From: "Sprecher, Nurit (NSN - IL/Hod HaSharon)" <[email-masked]>
Date: Tue, 19 Aug 2008 13:37:22 +0200

yes

---

From: Matthew Meyer <[email-masked]>
Date: Tue, 19 Aug 2008 08:42:40 -0400

Yes

---

From: Tomohiro Otani <[email-masked]>
Date: Tue, 19 Aug 2008 22:18:16 +0900

Yes,

Regards,

Tomo

---

From: <[email-masked]>
Date: Tue, 19 Aug 2008 15:20:34 +0200

yes

---

From: Phil Bedard <[email-masked]>
Date: Tue, 19 Aug 2008 09:40:19 -0400

yes

---

From: "BOCCI Matthew" <[email-masked]>
Date: Tue, 19 Aug 2008 10:10:18 +0200

Yes

> Behalf Of George Swallow
> Sent: 18 August 2008 21:24
> To: [email-masked]
> This message initiates a two week poll on whether the name 
> COS is good enough, or if some other name is needed.  The poll closes
> 23:59 Sept 1 GMT. 
> 
> Please answer with a simple yes or no.  You may send any 
> additional comment in a separate message (with a different 
> subject line).
> 
> ...George
>

---

From: "Shahram Davari" <[email-masked]>
Date: Tue, 19 Aug 2008 10:07:25 -0400

I don't really care about the name. But just wanted to mention that CoS is a
bit misleading, because for example in L-LSP, the EXP bits are used to
indicate the drop precedence and not Class of Service. Even in E-LSP the EXP
bits indicate a combination of CoS and drop precedence. My suggestion would
be DS filed for (Diffserv).
 
-Shahram
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow
Sent: August-18-08 5:55 PM
To: Mikael Abrahamsson; [email-masked]
Subject: Re: [mpls] discussion (was Re: Poll on renaming of EXP field)
 
Public of course!

---

From: "Eric Gray" <[email-masked]>
Date: Tue, 19 Aug 2008 09:42:26 -0500

George/Loa,

	I am concerned that we may be signing ourselves up for
a slew of RFC revisions/replacements in making this name
change.

	Just to make things clearer - is it the intention that
we're creating a single RFC that explains the change and will
then be listed as "updating" all RFCs that currently use the
term "EXP", or are we in fact signing up to replace a number
of RFCs?

	It's one thing to decide that the field name "CoS" is 
not worse than the name "EXP"; it is quite another thing to 
sign up for churning a number of RFCs to replace a term - 
because it is "nor worse than" the existing term.

	Another thing to consider is that - even if we plan
only to list this new RFC as "updating" all of the RFCs that
currently refer to the field name "EXP" - we may be setting 
a record for the number of RFCs "updated" by a single new 
RFC.  Given the number of people who still refer to RFC 2547
VPNs, it is not all that clear what difference an RFC that 
proposes to change a field name from "EXP bits" to "CoS bits"
will really have.  However, if we don't even list this RFC as 
"updating" these other RFCs, then it is very likely that the 
new RFC will have even less impact on usage (possibly having
no effect what-so-ever over the long run) - since a person 
reading any of these existing RFCs will have no particular
reason to know about this new one.

	In my opinion, a better use of everybody's time would
be to write an RFC that simply explains the way the IETF's 
use of the term "Experimental" actually works (i.e. - you 
do not get to pick experimental values, or define symantic
meanings for a set of values, for use in the Internet scope 
without obtaining a specific value (or values) from a number
space manager, such as IANA).  Such a thing would be quite a
reasonable thing to do as a simple process BCP.

--
Eric Gray
Principal Engineer
Ericsson  

> Sent: Monday, August 18, 2008 4:24 PM
> To: [email-masked]
> additional comment

---

From: "Eric Gray" <[email-masked]>
Date: Tue, 19 Aug 2008 09:42:44 -0500

No.

--
Eric Gray
Principal Engineer
Ericsson

---

From: "phani bandaru" <[email-masked]>
Date: Tue, 19 Aug 2008 20:58:47 +0530

Yes

-- 
pUrNamadah pUrNamidam
pUrNAt pUrNamudachyate
pUrNasya pUrNamAdAya
pUrNamevAvashiShyate

---

From: "Diego Caviglia" <[email-masked]>
Date: Tue, 19 Aug 2008 17:32:24 +0200

Hi all,
       Seems to me that the Eric proposal is quite good, probably is the easiest way to solve this issue.

Just my two cents

BR

D

> Sent: martedì 19 agosto 2008 16.42
> To: George Swallow; Loa Andersson
> Cc: [email-masked]
> Subject: [mpls] Question for clarification (was RE: Poll on renaming of
> EXPfield)
> 
> George/Loa,
>

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Tue, 19 Aug 2008 18:21:39 +0200

No.

Francois

---

From: "Shahram Davari" <[email-masked]>
Date: Tue, 19 Aug 2008 12:37:15 -0400

Hi,

I also agree with Eric. First of all the EXP bits are not only used for CoS
but also for Drop Precedence (RFC 3270 proposed standard)) and Explicit
Congestion notification (RFC5129 Proposed standard). Also IETF may decide to
have other uses for EXP bits in the future. So an RFC that explains this and
says that the EXP bits are reserved for IETF use only and explaining that
they are not really for experimental purpose is a better approach.

Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Diego Caviglia
Sent: August-19-08 11:32 AM
To: Eric Gray; George Swallow; Loa Andersson
Cc: [email-masked]
Subject: Re: [mpls] Question for clarification (was RE: Poll on renaming of
EXPfield)

Hi all,
       Seems to me that the Eric proposal is quite good, probably is the
easiest way to solve this issue.

Just my two cents

BR

D

---

From: "Shahram Davari" <[email-masked]>
Date: Tue, 19 Aug 2008 12:38:19 -0400

No.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow
Sent: August-18-08 4:24 PM
To: [email-masked]
Subject: [mpls] Poll on renaming of EXP field

...George

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Tue, 19 Aug 2008 18:41:33 +0200

Hi,

Someone earlier suggested "Traffic Management". While it can most  
certainly be argued this would not be a perfect name either (or other  
names would be closer to "perfection"), is there a good argument I am  
missing for why "COS" is obviously better (or more "good enough")  
than "Traffic Management"? (considering we want to capture both  
Diffserv and ECN/PCN use of EXP field)

Thanks

Francois

---

From: Peter Tomsu <[email-masked]>
Date: Tue, 19 Aug 2008 19:05:17 +0200

No

---

From: "Eric Gray" <[email-masked]>
Date: Tue, 19 Aug 2008 12:53:36 -0500

Francois,

	If I didn't care about the potential for extra work (and
possibly confusion as well), I would think "Traffic Management"
a better (because more generic) field name than "CoS" - but it
is still a change that may have far reaching consequences, and
which is better handled by a better explanation of the meaning 
of the field than by any effort to come up with a better name 
for it.

	However, even the field-name "Traffic Management" may
not be generic enough.  

	At present, we seem to be agreed that currently defined 
legitimate uses for the field are all related (at least in a 
stretch) to something to do with how frames are expected to be 
handled in forwarding.  But - given a precedent established in 
RFC 3270 (which, among other things, emphasizes that meaning or
semantics of the field depends on a common understanding of why 
an LSP was established) - it is actually clear that the field 
might mean other things as well.  For example, the field might 
- in some future context - be used to indicate error handling 
for packets that will be dropped, or macro statistics buckets 
that individual packets belong to (unrelated to other handling 
of a packet so marked).

	In fact, we're re-hashing many of the same arguments that
led to the field's being named as it was.

	So, the issue is all about what constitutes a "legitimate 
use" - which I would argue is defined by IETF consensus, and is
an issue better handled by good explanation than by renaming.

--
Eric Gray
Principal Engineer
Ericsson  

> Behalf Of Francois Le Faucheur IMAP
> Sent: Tuesday, August 19, 2008 12:42 PM
> To: George Swallow
> Cc: [email-masked]; Francois Le Faucheur IMAP
> Subject: [mpls] "Traffic Management" (was Re: Poll on 
> renaming of EXP field)
> 
> Hi,
> 
> additional

---

From: John Kenney <[email-masked]>
Date: Tue, 19 Aug 2008 14:30:20 -0400

No

---

From: John Kenney <[email-masked]>
Date: Tue, 19 Aug 2008 14:31:48 -0400

My "No" vote is a vote in favor of "Traffic Management"

Francois Le Faucheur IMAP wrote:
> missing for why "COS" is obviously better (or more "good enough") than 
> "Traffic Management"? (considering we want to capture both Diffserv 
> and ECN/PCN use of EXP field)
>
> Thanks
>
> Francois
>
>

---

From: "Howard Green" <[email-masked]>
Date: Tue, 19 Aug 2008 13:37:01 -0500

No

---

From: "Shah, Himanshu" <[email-masked]>
Date: Tue, 19 Aug 2008 14:39:50 -0400

Ditto.

No to CoS, Yes to TM...

/himanshu

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> John Kenney
> Sent: Tuesday, August 19, 2008 2:32 PM
> To: Francois Le Faucheur IMAP
> Cc: [email-masked]
> Subject: Re: [mpls] "Traffic Management" (was Re: Poll on renaming of
> EXP field)
> 
>

---

From: Huub van Helvoort <[email-masked]>
Date: Tue, 19 Aug 2008 21:12:32 +0200

Shakespear already wrote:
" What's in a name? That which we call a rose
by any other name would smell as sweet "

Cos or TMF (Traffic Management Field) or ....

Cheers, Huub.
----------------------------------------------

                   http://www.van-helvoort.eu/

---

From: George Swallow <[email-masked]>
Date: Tue, 19 Aug 2008 15:12:37 -0400

WG Chair hat on:

I think it is important to signal the change by changing the name.  Just
clarifying the meaning of Experimental may result in a document that does
not get read.  Further, there is no registry for the EXP bit usage and that
usage can vary between LSPs running within the same network.  So comparing
this to anything that has a registry and a process of IETF consensus does
not apply well here.

I'm also believe that when this is published as an RFC it will say that it
updates the appropriate RFCs.  Loa, please correct me if I am wrong.

WG Chair hat off:

One of the problems here is that every term used in this general space is
already over-loaded.  Further the emphasis implied by a particular term
varies with context (and consequently with the reader's background).  For
instance the term Traffic Management has very strong connotations for those
involved in the ATM Forum.

My personal view is that the term CoS is good enough.  But I do believe that
type of service (ToS) would have been an improvement.  It's not that I think
"type" is a better term than "class", it is that this would make it the same
as the IPv4 header.  The ToS field in the IP header now encompasses both the
DS codepoint and the ECN codepoint.  These are precisely the functions that
we are now trying to squeeze into three bits of the MPLS Label Stack Entry.

I would argue strongly for this change were it not that in IPv6 the same
function is carried in a field called Traffic Class.

So CoS takes a little from each of v4 and v6.  Good enough.

...George

---

From: "David Allan" <[email-masked]>
Date: Tue, 19 Aug 2008 15:18:07 -0400

No to CoS, yes to TMF....

Shakespeare was not an engineer...  ;-)

D 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Huub van Helvoort
Sent: Tuesday, August 19, 2008 3:13 PM
Cc: [email-masked]
Subject: Re: [mpls] "Traffic Management" (was Re: Poll on renaming of
EXP field)

Shakespear already wrote:
" What's in a name? That which we call a rose by any other name would
smell as sweet "

Cheers, Huub.

>> From: [email-masked] [mailto:[email-masked]]On Behalf 
>> Of John Kenney

>>>> This message initiates a two week poll on whether the name COS is 
>>>> good enough, or if some other name is needed.  The poll closes
>>>> 23:59 Sept 1 GMT.
>>>>

---

From: "Peng He" <[email-masked]>
Date: Tue, 19 Aug 2008 16:07:41 -0400

'TMF' looks like the famous "TM Forum", I prefer just "TM"..

Regards,
Peng

---

From: "Eric Gray" <[email-masked]>
Date: Tue, 19 Aug 2008 15:53:13 -0500

George,

	WRT the use of TM by ATM, it is (as I mentioned at the
MPLS meeting) less interesting that "TM" has previously had a 
different meaning relative to ATM, than it is that "CoS" 
currently has a different meaning relative to the potential
use of MPLS in support of MEF ethernet services.

--
Eric Gray
Principal Engineer
Ericsson  

> From: George Swallow [mailto:[email-masked]] 
> To: Eric Gray; Francois Le Faucheur IMAP
> Cc: [email-masked]
> Subject: Re: [mpls] "Traffic Management" (was Re: Poll on 
> renaming of EXP field)
> Importance: High
> 
> WG Chair hat on:
>

---

From: "Eric Gray" <[email-masked]>
Date: Tue, 19 Aug 2008 15:57:47 -0500

George,

	In response to your comment - with chair hat on - the
fact that there is no registry has not affected the way we
have proceeded (within the IETF) so far.  Every use of the
EXP bits that we currently consider "legitimate" is defined
in an RFC.

--
Eric Gray
Principal Engineer
Ericsson

---

From: Mach Chen <[email-masked]>
Date: Wed, 20 Aug 2008 10:34:09 +0800

No to "Cos"

Prefer to "TM"

--------------------------------------------------
From: "George Swallow" <[email-masked]>
Sent: Tuesday, August 19, 2008 4:23 AM
To: <[email-masked]>
Subject: [mpls] Poll on renaming of EXP field

---

From: "Vijayanand C" <[email-masked]>
Date: Wed, 20 Aug 2008 11:44:43 +0530

No

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have 
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Tom Petch" <[email-masked]>
Date: Tue, 19 Aug 2008 18:46:32 +0200

Yes

Tom Petch

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Wed, 20 Aug 2008 10:23:51 +0200

Hi Eric,

> of the field than by any effort to come up with a better name

I'm assuming that the document updating the field name would also  
provide such explanation (ie it can be used for Diffserv as per  
RFC3270, it can be used for ECN/PCN as per xxx, it may be used in the  
future for other things that are to be defined in future RFCs...).
So those explanation would be there anyways. And I agree with  
George's point that a name change will help draw attention.

> 	However, even the field-name "Traffic Management" may

As I said, I doubt we'll come up with a perfect name that is precise  
enough to be useful and yet can capture all the yet to be defined use  
for the field. A name that captures currently understood use and is  
somewhat generic in order to cope with other applications seems like  
a reasonable compromise.

> an issue better handled by good explanation than by renaming.

I think there is agreement that the actual uses for the field have to  
be defined by IETF consensus.
To me this precisely argues for changing the name of the field as it  
is clearly not used for experimental purposes in these cases.

Francois

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Wed, 20 Aug 2008 10:29:38 +0200

Hi George,

> involved in the ATM Forum.

ATM Traffic Management had to do with things like supporting  
different classes of traffic and providing congestion notification.  
That does not seem to be such a bad connotation.

Francois

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 20 Aug 2008 11:31:37 +0300

No.

regards,
        Sasha

> Sent: Monday, August 18, 2008 11:24 PM
> To: [email-masked]

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 20 Aug 2008 11:47:02 +0300

Hi all,

My "No" response to the poll question stems from the fact that IMHO the name "CoS"
does not reflect at least one of the already approved usages of the EXP field,
namely their usage for ECN (see RFC 5129).

Incidentally, RFC 5129 is not mentioned in the long list of RFCs
that would be updated by draft-ietf-mpls-cosfield-def-nn.

The name "Traffic Management" (TM) sounds more suitable to me.

But I doubt that changing a name really helps to resolve any problems (Shakespeare has already
been quoted in this thread) including the problem of recognition of certain standard bodies
as design authorities for specific technologies by the other standard bodies
(actually, the problem is *non-recognition*).

My 2c.
        Sasha

> Sent: Tuesday, August 19, 2008 7:42 PM
> To: George Swallow

---

From: "Daniele Ceccarelli" <[email-masked]>
Date: Wed, 20 Aug 2008 12:02:15 +0200

No,

Regards
Daniele

comment

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 20 Aug 2008 11:14:15 +0100

Hi,

I'm finally tempted out of my cave to join in this cycle-burning 
extravaganza.

I just want to point out that marking a new RFC as "Updates" a whole series 
of other RFCs has only limited effect on how those other RFCs are read.

Thus, *if* the reader collects the older RFC from the RFC repository 
(http://www.ietf.org/iesg/1rfc_index.txt) or from the MPLS charter page 
(http://www.ietf.org/html.charters/mpls-charter.html) they will see a note 
saying something like "updated by RFC wxyz". The wise reader will get a copy 
of that newer RFC to find out what the update is.

But most RFC reading comes direct. I need to know about LDP; I get RFC 5036 
and read it. And the RFC itself carries no indication that it has been 
updated.

The effect of this in our particular case is that changing the name of a 
field in a new RFC will have only limited affect on how people perceive the 
name of that field.
- they will continue to read the old RFCs
- they will continue to read the many books that are out there
- they might not even read the new RFC as it seems
   uninteresting from its title.

We could use the RFC eratum system, but frankly, hardly anyone ever looks at 
that.

A slightly more sure way to drive the message home would be to respin all of 
the updated RFCs with the correct (new) naming of the bits. This is what 
most publishing organisations would do.

Of course, we only mark the old RFCs as obsoleted in exactly the same way as 
we mark them as updated. This means that they are still around and still 
easy to pick up and read (witness the recent email on the list about RFC 
3036).

So...

All this effort and what effect?

There now. I, too, have wasted my time on this thread.

Adrian

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 20 Aug 2008 13:27:19 +0300

Adrian (and all),
A brief comment (supporting your view) inline below...

Regards,
        Sasha

> Behalf Of Adrian Farrel
> Sent: Wednesday, August 20, 2008 1:14 PM
> To: [email-masked]
> Subject: [mpls] Discuss of EXP field
>
> Hi,
>
[Sasha] Not to mention tons of technical documents that are freely available
as Web pages these days AND code source files that refer to the EXP field by its obsolete name...
And not to mention output of numerous network analyzers (even if this has the best chance of eventually
being updated).
>
> - they might not even read the new RFC as it seems uninteresting from its title.
>
> We could use the RFC erratum system, but frankly, hardly anyone ever looks at that.
>
> the updated RFCs with the correct (new) naming of the bits.
> This is what most publishing organisations would do.
>

---

From: "Eric Gray" <[email-masked]>
Date: Wed, 20 Aug 2008 09:22:43 -0500

Francois and George,

	One - highly undesirable - effect of changing the name, is
that it re-informces the apparently common misunderstanding of 
what we typically mean by "experimental" in the IETF.

	I guess there are enough examples in Experimental RFCs 
where we've given people reason to believe that it may be "safe"
to use any values, semantics, what-have-you in connection with
IETF expeimental fields, in any context you care to suggest.  I 
don't think this is generalizable, and this is (IMO) a good 
example of why not.

	My understanding of the IETF's use of "experimental" values
is to allow people to reliably conduct experiments in their own
laboratory networks.  I've never had the impression that any of
the experimental values we've defined - ever - in the IETF were
effectively the same as first-come-first-serve values to be used
on the public network (only without the benefit of an arbitrator
- like IANA - to determine who is in fact "first-come").

	We thought this was well understood, and - apparently - we
thought wrong.  What is really needed is to fix the hole in the
way the IETF use of "experimental" is documented.  Instead, we
want to dodge the bullet - this time - and leave it to be fixed
by someone else in the future.

	I have an idea: let's publish an RFC with the catchy new
title of "Use of Experimental Fields Considered Dangerous" - NOT.

	:-)

--
Eric Gray
Principal Engineer
Ericsson  

> From: Francois Le Faucheur IMAP [mailto:[email-masked]] 
> Sent: Wednesday, August 20, 2008 4:24 AM
> To: Eric Gray
> Cc: Francois Le Faucheur IMAP; George Swallow; [email-masked]

---

From: "Vullo, Anthony D (Tony)" <[email-masked]>
Date: Wed, 20 Aug 2008 18:14:02 +0000

No.

-----Original Message-----

...George

---

From: "Vadali, Somayajulu \(Somu\)" <[email-masked]>
Date: Tue, 19 Aug 2008 14:06:26 -0500

No 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Howard Green
Sent: Tuesday, August 19, 2008 2:37 PM
To: [email-masked]
Subject: [mpls] FW: Poll on renaming of EXP field

No

---

From: saquib khan <[email-masked]>
Date: Fri, 22 Aug 2008 09:07:14 +0530

NO

****************************************************************************
****************************************************************************
***********

****************************************************************************
****************************************************************************
***********

This e-mail and attachments contain confidential information from HUAWEI,
which is intended only for the person or entity whose address is listed
above. Any use of the information contained herein in any way (including,
but not limited to, total or partial disclosure, reproduction, or
dissemination) by persons other than the intended recipient's) is
prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

****************************************************************************
****************************************************************************
***********

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow
Sent: Tuesday, August 19, 2008 1:54 AM
To: [email-masked]
Subject: [mpls] Poll on renaming of EXP field

23:59 Sept 1 GMT. 

...George

mpls mailing list

[email-masked]

---

From: "Annamaria Fulignoli" <[email-masked]>
Date: Fri, 22 Aug 2008 09:35:36 +0200

No.

BR
Annamaria

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Sat, 23 Aug 2008 19:30:20 -0400

Yes-  

Thanks

Regards... Zafar 

> Behalf Of Cao Wei
> COS is good

---

From: Andrew Sergeev <[email-masked]>
Date: Sun, 24 Aug 2008 11:29:34 +0300

No.

Regards,
Andrew,

---

From: Michael Lyngbøl <[email-masked]>
Date: Sun, 24 Aug 2008 11:20:41 +0200

No.

/Michael

-- 
Michael Lyngbøl -- michael at lyngbol dot dk
Network Architect, AS3292 TDC, IP·backbone
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Sun, 24 Aug 2008 10:40:41 +0100

Yes.

Ben

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sun, 24 Aug 2008 09:24:07 -0400

No.

---

From: "buyukkoc" <[email-masked]>
Date: Sun, 24 Aug 2008 22:25:41 -0400

NO

Cagatay

---

From: "Don Fedyk" <[email-masked]>
Date: Sun, 24 Aug 2008 22:28:00 -0400

No

Don